=== JLib/Makefile ===
# Makefile para JLib.
# (C) Juan Carlos Seijo Prez - 2003.

GRAPHICS=JLib/Graphics
UTIL=JLib/Util
MATH=JLib/Math
SOUND=JLib/Sound
PHYSICS=JLib/Physics

JLIB_OBJS=$(GRAPHICS)/JControl.o $(GRAPHICS)/JUI.o $(GRAPHICS)/JGLAxes.o $(GRAPHICS)/JGLCamera.o $(GRAPHICS)/JGLConsole.o\
					$(GRAPHICS)/JGLGrid.o $(GRAPHICS)/JGLLight.o $(GRAPHICS)/JGLTexture.o $(GRAPHICS)/JGLVector.o \
	  			$(GRAPHICS)/JControlImage.o $(GRAPHICS)/JImage.o $(GRAPHICS)/JImageSprite.o $(GRAPHICS)/JSprite.o $(GRAPHICS)/JFont.o\
					$(GRAPHICS)/JTextMenu.o $(GRAPHICS)/JImageMenu.o $(GRAPHICS)/JGLMesh.o $(GRAPHICS)/JGLImage.o $(UTIL)/JFile.o\
					$(UTIL)/JGLApp.o $(UTIL)/JObject.o $(UTIL)/JTextFile.o $(UTIL)/JTextUtil.o $(UTIL)/JTimer.o $(UTIL)/JUtil.o\
					$(UTIL)/JApp.o $(UTIL)/JFS.o $(UTIL)/JThread.o $(MATH)/J2DPolygon.o

# Definir -D_JLIB_DEBUG para hacer debug de JLib. Compilar el programa a debugear tambin con este flag
CFLAGS=-I. -O3 -ffast-math $(CPU_OPTS)
LDFLAGS=-L. -ffast-math -lSDL -lSDL_image -lSDL_ttf -lSDL_mixer

all: libJLib

# JLib
libJLib: $(JLIB_OBJS)
	g++ -shared -o $@.so $? \
	&& ar rvus $@.a $? \

$(GRAPHICS)/%.o: $(GRAPHICS)/%.cpp
	g++ $(CFLAGS) -c -o $@ $<
$(UTIL)/%.o: $(UTIL)/%.cpp
	g++ $(CFLAGS) -c -o $@ $<
$(MATH)/%.o: $(MATH)/%.cpp
	g++ $(CFLAGS) -c -o $@ $<

.PHONY: install
install:
	cp libJLib* /usr/local/lib/.; \
	find . -name *.h -exec 'cp' '--parents' '{}' '/usr/local/include/' ';' ; \
	ldconfig;

.PHONY: clean
clean:
	rm -rf JLib/*/*\.o libJLib.a libJLib.so
