## holotz-castle 1.3.6

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Makefile for Holotz's Castle.
 
 
-HC_VERSION=1.3.4
+HC_VERSION=1.3.6
 
 all: 
 	make -C src
