=== JLib/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 					$(UTIL)/JApp.o $(UTIL)/JFS.o $(UTIL)/JThread.o $(MATH)/J2DPolygon.o
 
 # Definir -D_JLIB_DEBUG para hacer debug de JLib. Compilar el programa a debugear tambin con este flag
-CFLAGS=-I. -O3 -ffast-math $(CPU_OPTS)
+CFLAGS=-I. -O3 -ffast-math $(CPU_OPTS) -fPIC
 LDFLAGS=-L. -ffast-math -lSDL -lSDL_image -lSDL_ttf -lSDL_mixer
 
 all: libJLib
