## holotz-castle 1.3.8

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,14 @@
 # Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Prez - 2004.
 # Makefile for Holotz's Castle.
 
-
-HC_VERSION=1.3.6
+HC_VERSION=1.3.8
 
 all: 
-	make -C src
+	$(MAKE) -C src
 
 distro-src:
 	find . -iname "*~" -exec 'rm' '{}' ';';
-	make clean;
+	$(MAKE) clean;
 	rm -rf _DISTRO/SRC;
 	mkdir -p _DISTRO/SRC/holotz-castle-$(HC_VERSION)-src;\
 	cp -RL [^_h]* _DISTRO/SRC/holotz-castle-$(HC_VERSION)-src &&\
@@ -20,7 +19,7 @@
 
 distro-i486:
 	find . -iname "*~" -exec 'rm' '{}' ';';
-	make I486_BUILD=1 CPU_OPTS="-march=i486 -mcpu=i486" &&\
+	$(MAKE) I486_BUILD=1 CPU_OPTS="-march=i486 -mcpu=i486" &&\
 	rm -rf _DISTRO/I486;
 	mkdir -p _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486;
 	cp -RL holotz-castle holotz-castle-editor res HCedHome doc LICENSE.txt MANUAL* _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486 &&\
@@ -39,11 +38,11 @@
 	rm -rf _DISTRO/WIN32/HC;
 
 install:
-	make -C src install
+	$(MAKE) -C src install
 
 uninstall:
-	make -C src uninstall;
+	$(MAKE) -C src uninstall;
 
 .PHONY: clean
 clean:
-	make -C src clean
+	$(MAKE) -C src clean
