=== JLib/Makefile ===
--- 
+++ 
@@ -12,17 +12,23 @@
 	  			$(GRAPHICS)/JControlImage.o $(GRAPHICS)/JImage.o $(GRAPHICS)/JImageSprite.o $(GRAPHICS)/JSprite.o $(GRAPHICS)/JFont.o\
 					$(GRAPHICS)/JTextMenu.o $(GRAPHICS)/JImageMenu.o $(GRAPHICS)/JGLMesh.o $(GRAPHICS)/JGLImage.o $(UTIL)/JFile.o\
 					$(UTIL)/JGLApp.o $(UTIL)/JObject.o $(UTIL)/JTextFile.o $(UTIL)/JTextUtil.o $(UTIL)/JTimer.o $(UTIL)/JUtil.o\
-					$(UTIL)/JApp.o $(UTIL)/JFS.o $(UTIL)/JThread.o $(MATH)/J2DPolygon.o
+					$(UTIL)/JApp.o $(UTIL)/JFS.o $(UTIL)/JThread.o $(UTIL)/JRW.o $(MATH)/J2DPolygon.o
 
-# Definir -D_JLIB_DEBUG para hacer debug de JLib. Compilar el programa a debugear tambin con este flag
-CFLAGS=-I. -O3 -ffast-math $(CPU_OPTS) -fPIC
-LDFLAGS=-L. -ffast-math -lSDL -lSDL_image -lSDL_ttf -lSDL_mixer
+ifndef SDL_CONFIG
+SDL_CONFIG = sdl-config
+endif
+
+# Define -D_JLIB_DEBUG to debug JLib. Compile the app to debug also with this flag
+CFLAGS=-I. -O3 -ffast-math -fPIC -Wall -Wshadow `$(SDL_CONFIG) --cflags`
+
+# Sample LDFLAGS for applications
+# LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`
 
 all: libJLib
 
 # JLib
 libJLib: $(JLIB_OBJS)
-	g++ -shared -o $@.so $? \
+	g++ -shared -fPIC -o $@.so $? \
 	&& ar rvus $@.a $? \
 
 $(GRAPHICS)/%.o: $(GRAPHICS)/%.cpp
