=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,9 @@
 # Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Pérez - 2004.
 # Makefile for Holotz's Castle.
+
+ifndef SDL_CONFIG
+SDL_CONFIG = sdl-config
+endif
 
 # Uncomment these lines if you don't want to install the game. Then
 # you'll only be able to execute it from the directory it is in.
@@ -16,6 +20,7 @@
 # comment out these lines to not install the game (also uncomment lines above)
 # Edita estas lneas para cambiar el directorio de instalacin de datos y del juego o bien
 # comenta estas lneas si no quieres instalar el juego (y descomenta las de arriba)
+
 ifndef I486_BUILD
 HC_BASE = /usr/share/games/holotz-castle/
 HC_DATA = $(HC_BASE)game/
@@ -37,11 +42,12 @@
 
 # Definir -D_JLIB_DEBUG para debug con JLib. Ponerlo también en el Makefile de JLib.
 # Define -D_JLIB_DEBUG for JLib debug mode. Put it also in JLib's Makefile.
-CFLAGS=-O3 -Wshadow $(CPU_OPTS) -ffast-math -c -I. -I../JLib $(shell sdl-config --cflags)
-LDFLAGS=-L/usr/X11R6/lib -ffast-math -lSDL -lSDL_image -lSDL_mixer -lSDL_ttf -lGL -lGLU
+CFLAGS=-I. -I../JLib -O3 -Wall -Werror -Wshadow $(CPU_OPTS) -ffast-math -c `$(SDL_CONFIG) --cflags`
+LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`
+
 
 JLib: 
-	make -C ../JLib;
+	$(MAKE) -C ../JLib;
 
 %.o: %.cpp %.h
 	g++ $(CFLAGS) $(DEFINES) $< -o $@
@@ -74,4 +80,4 @@
 	rm -f ../holotz-castle;\
 	rm -f ../holotz-castle-editor;\
 	rm -f *\.o;\
-  make -C ../JLib clean
+  $(MAKE) -C ../JLib clean
