## holotz-castle 1.3.10

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Prez - 2004.
 # Makefile for Holotz's Castle.
 
-HC_VERSION=1.3.9
+HC_VERSION=1.3.10
 
 all: 
 	$(MAKE) -C src
