## holotz-castle 1.3.14

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile Para Holotz's Castle. (C) Juan Carlos Seijo Prez - 2004.
 # Makefile for Holotz's Castle.
 
-HC_VERSION=1.3.10
+HC_VERSION=1.3.14
 
 all: 
 	$(MAKE) -C src
@@ -19,10 +19,10 @@
 
 distro-i486:
 	find . -iname "*~" -exec 'rm' '{}' ';';
-	$(MAKE) I486_BUILD=1 CPU_OPTS="-march=i486 -mcpu=i486" &&\
+	$(MAKE) I486_BUILD=1 CPU_OPTS="-march=i486" &&\
 	rm -rf _DISTRO/I486;
 	mkdir -p _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486;
-	cp -RL holotz-castle holotz-castle-editor res HCedHome doc LICENSE.txt MANUAL* _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486 &&\
+	cp -RL holotz-castle holotz-castle-editor res HCedHome doc LICENSE.txt man _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486 &&\
 	cd _DISTRO/I486 &&\
 	tar -czvf holotz-castle-$(HC_VERSION)-linux-i486.tar.gz holotz-castle-$(HC_VERSION)-linux-i486;
 	rm -rf _DISTRO/I486/holotz-castle-$(HC_VERSION)-linux-i486;
@@ -31,7 +31,7 @@
 	find . -iname "*~" -exec 'rm' '{}' ';';
 	rm -rf _DISTRO/WIN32;
 	mkdir -p _DISTRO/WIN32/HC;
-	cp -RL _WIN32_DLLS/* holotz-castle.exe holotz-castle-editor.exe res HCedHome LICENSE.txt MANUAL* _DISTRO/WIN32/HC &&\
+	cp -RL _WIN32_DLLS/* holotz-castle.exe holotz-castle-editor.exe res HCedHome LICENSE.txt doc _DISTRO/WIN32/HC &&\
 	cd _DISTRO/WIN32 &&\
 	zip -r HC HC;
 	mv _DISTRO/WIN32/HC.zip _DISTRO/WIN32/holotz-castle-$(HC_VERSION)-win32.zip;
