=== JLib/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 endif
 
 # Define -D_JLIB_DEBUG to debug JLib. Compile the app to debug also with this flag
-CFLAGS=-I. -O3 -ffast-math -fPIC -Wall -Wshadow `$(SDL_CONFIG) --cflags`
+CFLAGS=-I. -I/usr/local/include/SDL -O3 -ffast-math -fPIC -Wall -Wshadow `$(SDL_CONFIG) --cflags`
 
 # Sample LDFLAGS for applications
 # LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`
@@ -28,15 +28,15 @@
 
 # JLib
 libJLib: $(JLIB_OBJS)
-	g++ -shared -fPIC -o $@.so $? \
+	g++-4.1 -shared -L/usr/lib -fPIC -o $@.so $? \
 	&& ar rvus $@.a $? \
 
 $(GRAPHICS)/%.o: $(GRAPHICS)/%.cpp
-	g++ $(CFLAGS) -c -o $@ $<
+	g++-4.1 $(CFLAGS) -c -o $@ $<
 $(UTIL)/%.o: $(UTIL)/%.cpp
-	g++ $(CFLAGS) -c -o $@ $<
+	g++-4.1 $(CFLAGS) -c -o $@ $<
 $(MATH)/%.o: $(MATH)/%.cpp
-	g++ $(CFLAGS) -c -o $@ $<
+	g++-4.1 $(CFLAGS) -c -o $@ $<
 
 .PHONY: install
 install:
