=== src/Makefile ===
--- 
+++ 
@@ -8,9 +8,9 @@
 # Uncomment these lines if you don't want to install the game. Then
 # you'll only be able to execute it from the directory it is in.
 # Also comment lines bellow.
-# Descomenta estas lneas si no quieres instalar el juego. Slo 
-# podrs ejecutarlo desde el directorio donde est.
-# Comenta las lneas ms abajo.
+# Descomenta estas l�neas si no quieres instalar el juego. S�lo 
+# podr�s ejecutarlo desde el directorio donde est�.
+# Comenta las l�neas m�s abajo.
 ifdef I486_BUILD
 HC_DATA = res/
 HCED_DATA = HCedHome/res/
@@ -18,8 +18,8 @@
 
 # Edit these lines to change the data and game installation dirs or
 # comment out these lines to not install the game (also uncomment lines above)
-# Edita estas lneas para cambiar el directorio de instalacin de datos y del juego o bien
-# comenta estas lneas si no quieres instalar el juego (y descomenta las de arriba)
+# Edita estas l�neas para cambiar el directorio de instalaci�n de datos y del juego o bien
+# comenta estas l�neas si no quieres instalar el juego (y descomenta las de arriba)
 
 ifndef I486_BUILD
 HC_BASE = /usr/share/games/holotz-castle/
@@ -42,7 +42,7 @@
 
 # Definir -D_JLIB_DEBUG para debug con JLib. Ponerlo también en el Makefile de JLib.
 # Define -D_JLIB_DEBUG for JLib debug mode. Put it also in JLib's Makefile.
-CFLAGS=-I. -I../JLib -O3 -Wall -Werror -Wshadow $(CPU_OPTS) -ffast-math -c `$(SDL_CONFIG) --cflags`
+CFLAGS=-fno-strict-aliasing -I. -I../JLib `$(SDL_CONFIG) --cflags` -I/usr/local/include/ -I/usr/local/include/SDL -O3 -Wall -Werror -Wshadow $(CPU_OPTS) -ffast-math -c
 LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`
