=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	if [ -d debian/holotz-castle-data ]; then \
		chmod a-x debian/holotz-castle-data/usr/share/games/holotz-castle/game/stories/milanb/*.hlv; \
	fi

override_dh_auto_install:
