## holotz-castle 1.3.14-4+6.0trisquel1

=== debian/changelog ===
holotz-castle (1.3.14-4+6.0trisquel1) toutatis; urgency=low

  * Removed screen showing website advertising non-free games

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 01 Dec 2012 00:35:02 +0000
