=== debian/control ===
Source: holotz-castle
Section: games
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Barry deFreese <bdefreese@debian.org>
Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.13.19),
 libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev
Standards-Version: 3.9.2
Homepage: http://www.mainreactor.net/holotzcastle/en/index_en.html
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/holotz-castle/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/holotz-castle/

Package: holotz-castle
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, holotz-castle-data (= ${source:Version})
Suggests: holotz-castle-milanb
Description: platform game with high doses of mystery
 A great mystery is hidden beyond the walls of Holotz's Castle. Will
 you be able to help Ybelle and Ludar to escape alive from the castle?
 Test your dexterity with this tremendously exciting platform game!

Package: holotz-castle-data
Architecture: all
Conflicts: holotz-castle-milanb
Provides: holotz-castle-milanb
Depends: ${misc:Depends}
Description: platform game with high doses of mystery - data files
 This package contains data files for the Holotz's Castle game.

Package: holotz-castle-editor
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, holotz-castle-data (= ${source:Version})
Description: platform game with high doses of mystery - level editor
 This package contains the level editor for the Holotz's Castle game.
