## holotz-castle 1.3.14-6+7.0trisquel1

=== debian/changelog ===
holotz-castle (1.3.14-6+7.0trisquel1) belenos; urgency=medium

  * Removed screen showing website advertising non-free games

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 23 Nov 2014 23:07:40 +0100
