=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Miriam Ruiz <little_miry@yahoo.es>, Barry deFreese <bdefreese@debian.org>
-Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.13.19),
- libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.13.19),
+ libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev, zlib1g-dev
+Standards-Version: 3.9.4
 Homepage: http://www.mainreactor.net/holotzcastle/en/index_en.html
 Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/holotz-castle/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/holotz-castle/
@@ -26,9 +26,14 @@
 Depends: ${misc:Depends}
 Description: platform game with high doses of mystery - data files
  This package contains data files for the Holotz's Castle game.
+ .
+ Included are the milanb and holotz-castle maps.
 
 Package: holotz-castle-editor
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, holotz-castle-data (= ${source:Version})
 Description: platform game with high doses of mystery - level editor
  This package contains the level editor for the Holotz's Castle game.
+ .
+ The level editor allows you to modify or create new maps and levels
+ for Holotz's Castle.
