## holotz-castle 1.3.14-7+8.0trisquel1

=== debian/changelog ===
holotz-castle (1.3.14-7+8.0trisquel1) flidas; urgency=medium

  * Removed screen showing website advertising non-free games

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 20 Apr 2018 18:47:50 +0000
