## holotz-castle 1.3.14-9build1+10.0trisquel1

=== JLib/Makefile ===
--- 
+++ 
@@ -6,6 +6,10 @@
 MATH=JLib/Math
 SOUND=JLib/Sound
 PHYSICS=JLib/Physics
+HARDENING := $(shell dpkg-buildflags --get CFLAGS)
+HARDENING += $(shell dpkg-buildflags --get CPPFLAGS)
+HARDENING += $(shell dpkg-buildflags --get CXXFLAGS)
+HARDENING_LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 JLIB_OBJS=$(GRAPHICS)/JControl.o $(GRAPHICS)/JUI.o $(GRAPHICS)/JGLAxes.o $(GRAPHICS)/JGLCamera.o $(GRAPHICS)/JGLConsole.o\
 					$(GRAPHICS)/JGLGrid.o $(GRAPHICS)/JGLLight.o $(GRAPHICS)/JGLTexture.o $(GRAPHICS)/JGLVector.o \
@@ -19,7 +23,8 @@
 endif
 
 # Define -D_JLIB_DEBUG to debug JLib. Compile the app to debug also with this flag
-CFLAGS=-I. -I/usr/local/include/SDL -O3 -ffast-math -fPIC -Wall -Wshadow `$(SDL_CONFIG) --cflags`
+MORE_CFLAGS= -O3
+CFLAGS=-I. -I/usr/local/include/SDL $(MORE_CFLAGS) $(HARDENING) -ffast-math -fPIC -Wall -Wshadow `$(SDL_CONFIG) --cflags`
 
 # Sample LDFLAGS for applications
 # LDFLAGS=-L. -ffast-math -lSDL_image -lSDL_ttf -lSDL_mixer `$(SDL_CONFIG) --libs`
@@ -28,15 +33,15 @@
 
 # JLib
 libJLib: $(JLIB_OBJS)
-	g++-4.1 -shared -L/usr/lib -fPIC -o $@.so $? \
+	g++ $(HARDENING_LDFLAGS) -shared -L/usr/lib -fPIC -o $@.so $? \
 	&& ar rvus $@.a $? \
 
 $(GRAPHICS)/%.o: $(GRAPHICS)/%.cpp
-	g++-4.1 $(CFLAGS) -c -o $@ $<
+	g++ $(CFLAGS) -c -o $@ $<
 $(UTIL)/%.o: $(UTIL)/%.cpp
-	g++-4.1 $(CFLAGS) -c -o $@ $<
+	g++ $(CFLAGS) -c -o $@ $<
 $(MATH)/%.o: $(MATH)/%.cpp
-	g++-4.1 $(CFLAGS) -c -o $@ $<
+	g++ $(CFLAGS) -c -o $@ $<
 
 .PHONY: install
 install:
