=== debian/changelog ===
holotz-castle (1.3.14-9build1+10.0trisquel1) nabia; urgency=medium

  * Removed screen showing website advertising non-free games

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 31 Jul 2021 15:09:29 +0000

holotz-castle (1.3.14-9build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:43:52 +0100
