## holotz-castle 1.3.14-9+9.0trisquel1

=== debian/changelog ===
holotz-castle (1.3.14-9+9.0trisquel1) etiona; urgency=medium

  * Removed screen showing website advertising non-free games

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 15 Nov 2019 21:23:22 +0000
