## holotz-castle 1.3.14-12+11.0trisquel1

=== JLib/Makefile ===
--- 
+++ 
@@ -33,15 +33,15 @@
 
 # JLib
 libJLib: $(JLIB_OBJS)
-	g++ $(HARDENING_LDFLAGS) -shared -L/usr/lib -fPIC -o $@.so $? \
+	$(CXX) $(HARDENING_LDFLAGS) -shared -L/usr/lib -fPIC -o $@.so $? \
 	&& ar rvus $@.a $? \
 
 $(GRAPHICS)/%.o: $(GRAPHICS)/%.cpp
-	g++ $(CFLAGS) -c -o $@ $<
+	$(CXX) $(CFLAGS) -c -o $@ $<
 $(UTIL)/%.o: $(UTIL)/%.cpp
-	g++ $(CFLAGS) -c -o $@ $<
+	$(CXX) $(CFLAGS) -c -o $@ $<
 $(MATH)/%.o: $(MATH)/%.cpp
-	g++ $(CFLAGS) -c -o $@ $<
+	$(CXX) $(CFLAGS) -c -o $@ $<
 
 .PHONY: install
 install:
