=== src/Makefile ===
--- 
+++ 
@@ -58,15 +58,15 @@
 	$(MAKE) -C ../JLib;
 
 %.o: %.cpp %.h
-	g++ $(CFLAGS) $(DEFINES) $< -o $@
+	$(CXX) $(CFLAGS) $(DEFINES) $< -o $@
 
 HC: $(HC_OBJS) $(HC_OBJ_MAIN) ../JLib/libJLib.a
-	g++ $(LDFLAGS) $? -o $@ $(LIBS);\
+	$(CXX) $(LDFLAGS) $? -o $@ $(LIBS);\
 	mv HC ../holotz-castle
 
 # HCed (Holotz's Castle editor).
 HCed: $(HC_OBJS) $(HCED_OBJ_MAIN) ../JLib/libJLib.a
-	g++ $(LDFLAGS) $? -o $@ $(LIBS);\
+	$(CXX) $(LDFLAGS) $? -o $@ $(LIBS);\
 	mv HCed ../holotz-castle-editor
 
 install:
