=== debian/changelog ===
holotz-castle (1.3.14-12+11.0trisquel1) aramo; urgency=medium

  * Removed screen showing website advertising non-free games

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 25 Jun 2022 17:15:29 +0000

holotz-castle (1.3.14-12) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 4.6.0.
  * Remove B-D on dpkg-dev.
  * Mark holotz-castle-data Multi-Arch: foreign
  * Fix FTBFS with GCC 11. (Closes: #984177)

 -- Markus Koschany <apo@debian.org>  Thu, 21 Oct 2021 23:45:09 +0200

holotz-castle (1.3.14-11) unstable; urgency=medium

  * Team upload.
  * Build with --no-parallel to avoid a race condition and FTBFS.

 -- Markus Koschany <apo@debian.org>  Sun, 31 May 2020 15:46:25 +0200

holotz-castle (1.3.14-10) unstable; urgency=medium

  * Team upload.
  * Fix FTCBFS: upstream build system hard codes build architecture compiler.
    Thanks to Helmut Grohne for the patch. (Closes: #900141)
  * Switch to debhelper-compat = 13.
  * Declare compliance with Debian Policy 4.5.0.
  * Remove obsolete holotz-castle.menu file.

 -- Markus Koschany <apo@debian.org>  Sat, 30 May 2020 22:07:03 +0200
